<?php
/**
 * Link         :   http://www.phpcorner.net
 * User         :   qingbing<780042175@qq.com>
 * Date         :   2019-05-23
 * Version      :   1.0
 */

namespace Test;

use Helper\AsciiConvert;
use TestCore\Tester;

class TestAsciiConvert extends Tester
{
    /**
     * 执行函数
     * @return mixed|void
     */
    public function run()
    {
        $str = "php工作角";
        var_dump("string : " . $str);
        $ascii = AsciiConvert::str2Binary($str);
        var_dump("str2Binary ： " . $ascii);

        $str = AsciiConvert::binary2Str($ascii);
        var_dump("binary2Str ： " . $str);

        $hex = AsciiConvert::str2Hex($str);
        var_dump("str2Hex ： " . $hex);

        $ascii = AsciiConvert::hex2Str($hex);
        var_dump("hex2Str ： " . $ascii);

        var_dump("-----------------------------------------");

        $str = "http://phpcroner.net";
        var_dump("string : " . $str);
        $ascii = AsciiConvert::str2Binary($str);
        var_dump("str2Binary ： " . $ascii);

        $str = AsciiConvert::binary2Str($ascii);
        var_dump("binary2Str ： " . $str);

        $hex = AsciiConvert::str2Hex($str);
        var_dump("str2Hex ： " . $hex);

        $ascii = AsciiConvert::hex2Str($hex);
        var_dump("hex2Str ： " . $ascii);
    }
}